
(defsystem "remote-snake-server"
  :description "Remote Snake Server."
  :version "0.0.1"
  :author "Loic Guegan"
  :depends-on ( "usocket" "jonathan" "cl-strings" )
  :components ((:file "packages")
               (:module "game"
                        :depends-on ("packages")
                        :components ((:file "utils")
                                     (:file "game"
                                            :depends-on ("utils"))))
               (:module "api"
                        :depends-on ("game")
                        :components ((:file "game-manager")
                                     (:file "api"
                                            :depends-on ("game-manager"))))
               (:file "server"
                      :depends-on ("api"))))
